Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class StatisticsClient

    java.lang.Object
      org.wso2.wsas.admin.service.StatisticsClient

    public class StatisticsClient

extends java.lang.Object

Constructor Summary
`StatisticsClient()`

Method Summary
`double` | `getAvgOperationResponseTime(java.lang.String serviceName, java.lang.String operationName)`
`double` | `getAvgServiceResponseTime(java.lang.String serviceName)`
`double` | `getAvgSystemResponseTime()`
`long` | `getMaxOperationResponseTime(java.lang.String serviceName, java.lang.String operationName)`
`long` | `getMaxServiceResponseTime(java.lang.String serviceName)`
`long` | `getMaxSystemResponseTime()`
`long` | `getMinOperationResponseTime(java.lang.String serviceName, java.lang.String operationName)`
`long` | `getMinServiceResponseTime(java.lang.String serviceName)`
`long` | `getMinSystemResponseTime()`
`long` | `getOperationFaultCount(java.lang.String serviceName, java.lang.String operationName)`
`long` | `getOperationRequestCount(java.lang.String serviceName, java.lang.String operationName)`
`long` | `getOperationResponseCount(java.lang.String serviceName, java.lang.String operationName)`
`long` | `getServiceFaultCount(java.lang.String serviceName)`
`long` | `getServiceRequestCount(java.lang.String serviceName)`
`long` | `getServiceResponseCount(java.lang.String serviceName)`
`int` | `getSystemFaultCount()`
`int` | `getSystemRequestCount()`
`int` | `getSystemResponseCount()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsClient

    public StatisticsClient()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getSystemRequestCount

    public int getSystemRequestCount()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSystemResponseCount

    public int getSystemResponseCount()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSystemFaultCount

    public int getSystemFaultCount()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAvgSystemResponseTime

    public double getAvgSystemResponseTime()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMaxSystemResponseTime

    public long getMaxSystemResponseTime()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMinSystemResponseTime

    public long getMinSystemResponseTime()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOperationRequestCount

    public long getOperationRequestCount(java.lang.String serviceName,
                                         java.lang.String operationName)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOperationResponseCount

    public long getOperationResponseCount(java.lang.String serviceName,
                                          java.lang.String operationName)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOperationFaultCount

    public long getOperationFaultCount(java.lang.String serviceName,
                                       java.lang.String operationName)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMaxOperationResponseTime

    public long getMaxOperationResponseTime(java.lang.String serviceName,
                                            java.lang.String operationName)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMinOperationResponseTime

    public long getMinOperationResponseTime(java.lang.String serviceName,
                                            java.lang.String operationName)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAvgOperationResponseTime

    public double getAvgOperationResponseTime(java.lang.String serviceName,
                                              java.lang.String operationName)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getServiceRequestCount

    public long getServiceRequestCount(java.lang.String serviceName)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getServiceResponseCount

    public long getServiceResponseCount(java.lang.String serviceName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getServiceFaultCount

    public long getServiceFaultCount(java.lang.String serviceName)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMaxServiceResponseTime

    public long getMaxServiceResponseTime(java.lang.String serviceName)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMinServiceResponseTime

    public long getMinServiceResponseTime(java.lang.String serviceName)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAvgServiceResponseTime

    public double getAvgServiceResponseTime(java.lang.String serviceName)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD